// src/context/non-elevated.ts
import { createClient, OAuthStrategy } from "@wix/sdk";
import { WIX_CLIENT_ID } from "astro:env/client";

// src/utils/authAsyncLocalStorage.ts
import { AsyncLocalStorage } from "node:async_hooks";
var authAsyncLocalStorage = new AsyncLocalStorage();

// src/context/non-elevated.ts
var contextClient = createClient({
  get auth() {
    const store = authAsyncLocalStorage.getStore();
    const auth = OAuthStrategy({
      clientId: WIX_CLIENT_ID,
      tokens: store?.sessionTokens?.tokens
    });
    return auth;
  }
});
contextClient.enableContext("global");
