import { AppStrategy, createClient } from '@wix/sdk';
import { WIX_CLIENT_ID } from 'astro:env/client';
import {
  WIX_CLIENT_INSTANCE_ID,
  WIX_CLIENT_PUBLIC_KEY,
  WIX_CLIENT_SECRET,
} from 'astro:env/server';

const elevatedContextClient = createClient({
  auth: AppStrategy({
    appId: WIX_CLIENT_ID,
    appSecret: WIX_CLIENT_SECRET,
    instanceId: WIX_CLIENT_INSTANCE_ID,
    publicKey: WIX_CLIENT_PUBLIC_KEY,
  }),
});

elevatedContextClient.enableContext('global', { elevated: true });
