import { createClient, OAuthStrategy } from '@wix/sdk';
import { WIX_CLIENT_ID } from 'astro:env/client';
import { authAsyncLocalStorage } from '../utils/authAsyncLocalStorage.js';

const contextClient = createClient({
  get auth() {
    const store = authAsyncLocalStorage.getStore();

    const auth = OAuthStrategy({
      clientId: WIX_CLIENT_ID,
      tokens: store?.sessionTokens?.tokens,
    });

    return auth;
  },
});

contextClient.enableContext('global');
